"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var b=Object.create;var _=Object.defineProperty;var m=Object.getOwnPropertyDescriptor;var v=Object.getOwnPropertyNames;var y=Object.getPrototypeOf,S=Object.prototype.hasOwnProperty;var A=(o,e)=>()=>(e||o((e={exports:{}}).exports,e),e.exports);var w=(o,e,t,s)=>{if(e&&typeof e=="object"||typeof e=="function")for(let n of v(e))!S.call(o,n)&&n!==t&&_(o,n,{get:()=>e[n],enumerable:!(s=m(e,n))||s.enumerable});return o};var p=(o,e,t)=>(t=o!=null?b(y(o)):{},w(e||!o||!o.__esModule?_(t,"default",{value:o,enumerable:!0}):t,o));var a=A((C,f)=>{f.exports=Vue});var u=p(a());function g(){return uni.getSubNVueById(plus.webview.currentWebview().id)}var r=p(a());var N=(o,e)=>{let t=o.__vccOpts||o;for(let[s,n]of e)t[s]=n;return t};var I={container:{"":{position:"fixed",top:0,left:0,right:0,bottom:0,backgroundColor:"rgba(0,0,0,0.7)",justifyContent:"center",alignItems:"center"}},text:{"":{fontSize:"40rpx",color:"#ffffff"}}},O={name:"sub-nvue",methods:{close(){g().close("slide-out-bottom",300)}}};function x(o,e,t,s,n,l){return(0,r.openBlock)(),(0,r.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,r.createElementVNode)("view",{class:"container"},[(0,r.createElementVNode)("u-text",{class:"text",onClick:e[0]||(e[0]=(...d)=>l.close&&l.close(...d))},"\u6211\u662F\u5B50\u7A97\u4F5312")])])}var c=N(O,[["render",x],["styles",[I]]]);var i=plus.webview.currentWebview();if(i){let o=parseInt(i.id),e="components/sub-nvue/sub-nvue",t={};try{t=JSON.parse(i.__query__)}catch(n){}c.mpType="page";let s=Vue.createPageApp(c,{$store:getApp({allowDefault:!0}).$store,__pageId:o,__pagePath:e,__pageQuery:t});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...c.styles||[]])),s.mount("#root")}})();
