"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var i=Object.create;var n=Object.defineProperty;var f=Object.getOwnPropertyDescriptor;var g=Object.getOwnPropertyNames;var m=Object.getPrototypeOf,v=Object.prototype.hasOwnProperty;var y=(e,t)=>()=>(t||e((t={exports:{}}).exports,t),t.exports);var d=(e,t,r,s)=>{if(t&&typeof t=="object"||typeof t=="function")for(let o of g(t))!v.call(e,o)&&o!==r&&n(e,o,{get:()=>t[o],enumerable:!(s=f(t,o))||s.enumerable});return e};var w=(e,t,r)=>(r=e!=null?i(m(e)):{},d(t||!e||!e.__esModule?n(r,"default",{value:e,enumerable:!0}):r,e));var l=y((b,a)=>{a.exports=Vue});var c=w(l());var u=(e,t)=>{let r=e.__vccOpts||e;for(let[s,o]of t)r[s]=o;return r};var h={};function x(e,t){return(0,c.openBlock)(),(0,c.createElementBlock)("view",{renderWhole:!0})}var p=u(h,[["render",x]]);var _=plus.webview.currentWebview();if(_){let e=parseInt(_.id),t="pages/event/event/check",r={};try{r=JSON.parse(_.__query__)}catch(o){}p.mpType="page";let s=Vue.createPageApp(p,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:t,__pageQuery:r});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...p.styles||[]])),s.mount("#root")}})();
